clear
drop _all
set mem 256m
use C:\BellemareCarnesFP2015.dta


* Note: Table 1 is a summary of the literature and not included here *


* Table 2 *

sum b2002_pas b2002_con b2008_pas b2008_con b2008_vet score friend friend career prop_ag ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age cong_*


* Table 3 *

regress friend career dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno)	
predict yhat
count if yhat<0 | yhat>1
drop yhat
regress friend prop_ag dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno)	
predict yhat
count if yhat<0 | yhat>1
drop yhat
regress friend ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno)
predict yhat
count if yhat<0 | yhat>1
drop yhat
regress friend career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno)
predict yhat
count if yhat<0 | yhat>1
drop yhat


* The following are not shown in the paper but were estimated for robustness *

dprobit friend career dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno) asis	
dprobit friend prop_ag dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno) asis	
dprobit friend ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno) asis
dprobit friend career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno) asis

logit friend career dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno)	asis
margins, dydx(career dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2)
logit friend prop_ag dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno) asis	
margins, dydx(prop_ag dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2)
logit friend ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno) asis
margins, dydx(ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2)
logit friend career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno) asis
margins, dydx(career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2)


* Table 4 *

regress b2002_pas career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust
regress b2002_con career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust
regress b2008_pas career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust
regress b2008_con career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust
regress b2008_vet career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust
regress score career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno)
regress friend career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno)


* The following are not shown in the paper but were estimated for robustness *

dprobit b2002_pas career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
dprobit b2002_con career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
dprobit b2008_pas career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
dprobit b2008_con career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
dprobit b2008_vet career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
dprobit friend career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno) asis

logit b2002_pas career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
margins, dydx(career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 )
logit b2002_con career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
margins, dydx(career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 )
logit b2008_pas career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
margins, dydx(career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 )
logit b2008_con career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
margins, dydx(career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 )
logit b2008_vet career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
margins, dydx(career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 )
logit friend career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno) asis
margins, dydx(career prop_ag ln_ag_pac dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 )


* Table 5 *

regress b2002_pas career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust
regress b2002_con career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust
regress b2008_pas career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust
regress b2008_con career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust
regress b2008_vet career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust
regress score career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno)
regress friend career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno)


* The following are not shown in the paper but were estimated for robustness *

dprobit b2002_pas career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
dprobit b2002_con career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
dprobit b2008_pas career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
dprobit b2008_con career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
dprobit b2008_vet career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
dprobit friend career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno) asis

logit b2002_pas career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
margins, dydx(career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2)
logit b2002_con career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
margins, dydx(career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2)
logit b2008_pas career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
margins, dydx(career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2)
logit b2008_con career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
margins, dydx(career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2)
logit b2008_vet career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, robust asis
margins, dydx(career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2)
logit friend career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2 state_fe_* cong_*, vce(cluster idno) asis
margins, dydx(career prop_ag ln_ag_pac career_pac career_prop pac_prop dist_povertypct dist_mednhhincome house_ag senate_ag rep ideology female age chamber_2)
